﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<List<Post>>" %>

<%@ Import Namespace="SolidBlog.Models" %>
<%@ Import Namespace="SolidBlog.Helpers" %>
<asp:Content ID="indexContent" ContentPlaceHolderID="MainContent" runat="server">
    <h2>
        Recent Posts:</h2>
    <%
        if (Request.IsAuthenticated)
        {
    %>
    <div style="float:right">[
    <%= Html.ActionLink("New Post", "Create", "Post") %>
    ]</div>
    <%
        }
    %>
    <br />
    <br />
    <% foreach (var post in ViewData.Model)
       { %>
    <h2>
        <%=Html.IndividualPostLink(post.Title, post.DatePosted, post.EncodedTitle) %></h2>
    <%= Html.Encode(post.Abstract) %> 
    <i><%= Html.Encode(post.DatePosted) %></i>
    <% } %>
</asp:Content>
